- Qt 5.15
- Qt 3D
- C++ Classes
- QPolygonOffset
- Qt 5.15.11 Reference Documentation

# QPolygonOffset Class

class Qt3DRender::QPolygonOffset

The QPolygonOffset class sets the scale and steps to calculate depth values for polygon offsets. More...

Header: | #include <QPolygonOffset>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | PolygonOffset
Inherits: | Qt3DRender::QRenderState

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Properties

- depthSteps : float
- scaleFactor : float

## Public Functions

float | depthSteps() const
float | scaleFactor() const

## Public Slots

void | setDepthSteps(float depthSteps)
void | setScaleFactor(float scaleFactor)

## Signals

void | depthStepsChanged(float depthSteps)
void | scaleFactorChanged(float scaleFactor)

## Detailed Description

A QPolygonOffset class adds an offset to the fragment depth value prior to depth test and depth write. The offset can be used to avoid z-fighting when rendering polygons with very close depth values such as decals.

## Property Documentation

### depthSteps : float

Holds the units that create constant depth offsets. Default value is 0.

Access functions:

float | depthSteps() const
void | setDepthSteps(float depthSteps)

Notifier signal:

void | depthStepsChanged(float depthSteps)

### scaleFactor : float

Holds the scale factor used to create a variable depth offset for each polygon. Default value is 0.

Access functions:

float | scaleFactor() const
void | setScaleFactor(float scaleFactor)

Notifier signal:

void | scaleFactorChanged(float scaleFactor)